Skip to main content
PATCH
/
v1
/
keys
/
{key_id}
Rename Key
curl --request PATCH \
  --url https://api.polysimulator.com/v1/keys/{key_id} \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "name": "<string>"
}
'
{
  "id": 123,
  "key_prefix": "<string>",
  "rate_limit_tier": "<string>",
  "is_active": true,
  "name": "<string>",
  "permissions": [
    "<string>"
  ],
  "created_at": "<string>",
  "last_used_at": "<string>",
  "expires_at": "<string>"
}

Authorizations

X-API-Key
string
header
required

Issue from /v1/keys (or admin-issued for enterprise tier).

Headers

authorization
string | null
X-API-Key
string | null
POLY_API_KEY
string | null
Poly-API-Key
string | null

Path Parameters

key_id
integer
required

Body

application/json
name
string | null

New human-readable label (null clears it)

Maximum string length: 100

Response

Successful Response

id
integer
required
key_prefix
string
required
rate_limit_tier
string
required
is_active
boolean
required
name
string | null
permissions
string[] | null
created_at
string | null
last_used_at
string | null
expires_at
string | null